.flex-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
}
.grid-container {
    display: grid;
    background-color: blue;
    grid-template-columns: 1fr 30px repeat(6, 1fr);
    grid-auto-rows: 1fr;
    grid-gap: 10px;
    padding: 10px;
    grid-template-areas: 
    "item1 item1 item2 item2 item2 item2 item3 item4"
    "item5 item6 item6 item6 item6 item6 item7 item7"
    "item5 item6 item6 item6 item6 item6 item7 item7"
    "item8 item6 item6 item6 item6 item6 item9 item10"
    "item8 item6 item6 item6 item6 item6 item9 item10"
    "item8 item11 item11 item11 item12 item12 item13 item13"
    "item14 item11 item11 item11 item15 item15 item16 item16"
    "item14 item17 item17 item17 item18 item18 item16 item16"
    "item14 item17 item17 item17 item19 item19 item20 item20"
    "item21 item22 item22 item22 item23 item24 item20 item20";
    width: 400px;
    height: 500px;
    margin: 0 auto;
}
.grid-item {
    color: transparent;
}
.grid-item-1 {
    grid-area: item1;
}
.grid-item-2 {
    grid-area: item2;
}
.grid-item-3 {
    grid-area: item3;
}
.grid-item-4 {
    grid-area: item4;
}
.grid-item-5 {
    grid-area: item5;
}
.grid-item-6 {
    grid-area: item6;
}
.grid-item-7 {
    grid-area: item7;
}
.grid-item-8 {
    grid-area: item8;
}
.grid-item-9 {
    grid-area: item9;
}
.grid-item-10 {
    grid-area: item10;
}
.grid-item-11 {
    grid-area: item11;
}
.grid-item-12 {
    grid-area: item12;
}
.grid-item-13 {
    grid-area: item13;
}
.grid-item-14 {
    grid-area: item14;
}
.grid-item-15 {
    grid-area: item15;
}
.grid-item-16 {
    grid-area: item16;
}
.grid-item-17 {
    grid-area: item17;
}
.grid-item-18 {
    grid-area: item18;
}
.grid-item-19 {
    grid-area: item19;
}
.grid-item-20 {
    grid-area: item20;
}
.grid-item-21 {
    grid-area: item21;
}
.grid-item-22 {
    grid-area: item22;
}
.grid-item-23 {
    grid-area: item23;
}
.grid-item-24 {
    grid-area: item24;
}
.yellow {
    background-color: yellow;
}
.aqua {
    background-color: aqua;
}
.white {
    background-color: white;
}
.black {
    background-color: black;
}
.purple {
    background-color: purple;
}
.green {
    background-color: green;
}